<script setup lang="ts">
const { onRender } = useScreen();

const store = useContactStore();
const { assets } = useAssets();

onRender((ctx) => {
  ctx.globalAlpha = store.isIntro
    ? store.intro.stage3Opacity
    : store.outro.stage1Opacity;
  assets.images.contact.bottomScreen.buttons.draw(ctx, 31, 32);
});

defineOptions({
  render: () => null,
});
</script>
